Moneybird logo
Moneybird API

Task lists

Task lists help you organize and track work within an administration. They contain groups of tasks that can be assigned to users and tracked for completion.


Returns information about a task list group

GET
https://moneybird.com/api/v2
/{administration_id}/task_list_groups/{id}{format}

Returns information about a task list group, including its tasks.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Returns information about a task list group › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Returns information about a task list group › Responses

A task list group

id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string | null
row_order
​integer
report_type
​string | null
created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Deletes a task list group

DELETE
https://moneybird.com/api/v2
/{administration_id}/task_list_groups/{id}{format}

Permanently deletes a task list group and all its tasks.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Deletes a task list group › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Deletes a task list group › Responses

Group deleted

No data returned

Updates a task list group

PATCH
https://moneybird.com/api/v2
/{administration_id}/task_list_groups/{id}{format}

Updates a task list group's name or report type. Updating the report type will destroy all tasks and generate new tasks based on the new report.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Updates a task list group › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Updates a task list group › Request Body

​object

Updates a task list group › Responses

Group updated

id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string | null
row_order
​integer
report_type
​string | null
created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Creates a new task in a group

POST
https://moneybird.com/api/v2
/{administration_id}/task_list_groups/{task_list_group_id}/tasks{format}

Creates a new task in the specified task list group.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Creates a new task in a group › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

task_list_group_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Creates a new task in a group › Request Body

​object

Creates a new task in a group › Responses

Task created

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
row_order
​integer
completed_at
​string | null · date-time
report_type
​string | null
task_lists_group_id
​identifier · pattern: ^\d+$

A unique record identifier

parent_task_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

assignee_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

created_at
​timestamp · date-time
updated_at
​timestamp · date-time
subtasks
​array · task_list_task_response (circular)
​note_response[]
​event_response[]

Returns information about a task

GET
https://moneybird.com/api/v2
/{administration_id}/task_list_tasks/{id}{format}

Returns information about a task, including its subtasks, notes, and events.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Returns information about a task › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Returns information about a task › Responses

A task

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
row_order
​integer
completed_at
​string | null · date-time
report_type
​string | null
task_lists_group_id
​identifier · pattern: ^\d+$

A unique record identifier

parent_task_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

assignee_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

created_at
​timestamp · date-time
updated_at
​timestamp · date-time
subtasks
​array · task_list_task_response (circular)
​note_response[]
​event_response[]

Deletes a task

DELETE
https://moneybird.com/api/v2
/{administration_id}/task_list_tasks/{id}{format}

Permanently deletes a task and all its subtasks. Generated tasks cannot be deleted.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Deletes a task › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Deletes a task › Responses

Task deleted

No data returned

Updates a task

PATCH
https://moneybird.com/api/v2
/{administration_id}/task_list_tasks/{id}{format}

Updates a task's attributes.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Updates a task › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Updates a task › Request Body

​object

Updates a task › Responses

Task updated

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
row_order
​integer
completed_at
​string | null · date-time
report_type
​string | null
task_lists_group_id
​identifier · pattern: ^\d+$

A unique record identifier

parent_task_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

assignee_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

created_at
​timestamp · date-time
updated_at
​timestamp · date-time
subtasks
​array · task_list_task_response (circular)
​note_response[]
​event_response[]

Assigns a user to a task

POST
https://moneybird.com/api/v2
/{administration_id}/task_list_tasks/{task_list_task_id}/assignment{format}

Assigns a user to the specified task.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Assigns a user to a task › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

task_list_task_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Assigns a user to a task › Request Body

assignee_id
​identifier · pattern: ^\d+$ · required

The ID of the user to assign to the task. A user must have permissions to a task or else a 404 will be thrown.

Assigns a user to a task › Responses

User assigned to task

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
row_order
​integer
completed_at
​string | null · date-time
report_type
​string | null
task_lists_group_id
​identifier · pattern: ^\d+$

A unique record identifier

parent_task_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

assignee_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

created_at
​timestamp · date-time
updated_at
​timestamp · date-time
subtasks
​array · task_list_task_response (circular)
​note_response[]
​event_response[]

Unassigns the user from a task

DELETE
https://moneybird.com/api/v2
/{administration_id}/task_list_tasks/{task_list_task_id}/assignment{format}

Removes the current assignment from the specified task.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Unassigns the user from a task › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

task_list_task_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Unassigns the user from a task › Responses

User unassigned from task

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
row_order
​integer
completed_at
​string | null · date-time
report_type
​string | null
task_lists_group_id
​identifier · pattern: ^\d+$

A unique record identifier

parent_task_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

assignee_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

created_at
​timestamp · date-time
updated_at
​timestamp · date-time
subtasks
​array · task_list_task_response (circular)
​note_response[]
​event_response[]

Completes a task

POST
https://moneybird.com/api/v2
/{administration_id}/task_list_tasks/{task_list_task_id}/completion{format}

Marks a task and all its subtasks as completed.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Completes a task › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

task_list_task_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Completes a task › Responses

Task completed

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
row_order
​integer
completed_at
​string | null · date-time
report_type
​string | null
task_lists_group_id
​identifier · pattern: ^\d+$

A unique record identifier

parent_task_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

assignee_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

created_at
​timestamp · date-time
updated_at
​timestamp · date-time
subtasks
​array · task_list_task_response (circular)
​note_response[]
​event_response[]

Reopens a task

DELETE
https://moneybird.com/api/v2
/{administration_id}/task_list_tasks/{task_list_task_id}/completion{format}

Reopens a completed task and possible parent tasks.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Reopens a task › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

task_list_task_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Reopens a task › Responses

Task reopened

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
row_order
​integer
completed_at
​string | null · date-time
report_type
​string | null
task_lists_group_id
​identifier · pattern: ^\d+$

A unique record identifier

parent_task_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

assignee_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

created_at
​timestamp · date-time
updated_at
​timestamp · date-time
subtasks
​array · task_list_task_response (circular)
​note_response[]
​event_response[]

Creates a note on a task

POST
https://moneybird.com/api/v2
/{administration_id}/task_list_tasks/{task_list_task_id}/notes{format}

Creates a new note on the specified task.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Creates a note on a task › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

task_list_task_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Creates a note on a task › Request Body

​object

Creates a note on a task › Responses

Note created

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

entity_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

entity_type
​string
user_id
​identifier · pattern: ^\d+$

A unique record identifier

assignee_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

todo
​boolean | string | null
Default: false
note
​string | null
completed_at
​string | null · date-time
completed_by_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

todo_type
​string | null · enum
Enum values:
sales_invoice_due
purchase_invoice_due
general_document_reminder
general_document_due
new_document_awaiting_processing
new_financial_mutation_awaiting_processing
financial_mutations_not_updated
sales_invoice_payment_not_linked_to_financial_mutation
data
​object | null
created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Creates a task list from a template

POST
https://moneybird.com/api/v2
/{administration_id}/task_list_templates/{task_list_template_id}/task_lists{format}

Creates a new task list based on the specified template.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Creates a task list from a template › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

task_list_template_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Creates a task list from a template › Request Body optional

​object

Creates a task list from a template › Responses

Task list created

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
deadline_on
​string | null · date
period_begin
​string | null · date
period_end
​string | null · date
completed
​boolean
template_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

total_tasks_count
​integer
completed_tasks_count
​integer
created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Returns information about a task list

GET
https://moneybird.com/api/v2
/{administration_id}/task_lists/{id}{format}

Returns information about a task list, including its groups, tasks, and subtasks.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Returns information about a task list › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Returns information about a task list › Responses

A task list

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
deadline_on
​string | null · date
period_begin
​string | null · date
period_end
​string | null · date
completed
​boolean
template_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

total_tasks_count
​integer
completed_tasks_count
​integer
created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Deletes a task list

DELETE
https://moneybird.com/api/v2
/{administration_id}/task_lists/{id}{format}

Permanently deletes a task list and all its groups and tasks.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Deletes a task list › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Deletes a task list › Responses

Task list deleted

No data returned

Updates a task list

PATCH
https://moneybird.com/api/v2
/{administration_id}/task_lists/{id}{format}

Updates a task list's name, description, or deadline.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Updates a task list › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Updates a task list › Request Body

​object

Updates a task list › Responses

Task list updated

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
deadline_on
​string | null · date
period_begin
​string | null · date
period_end
​string | null · date
completed
​boolean
template_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

total_tasks_count
​integer
completed_tasks_count
​integer
created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Creates a new group in a task list

POST
https://moneybird.com/api/v2
/{administration_id}/task_lists/{task_list_id}/groups{format}

Creates a new group in the specified task list.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Creates a new group in a task list › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

task_list_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Creates a new group in a task list › Request Body

​object

Creates a new group in a task list › Responses

Group created

id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string | null
row_order
​integer
report_type
​string | null
created_at
​timestamp · date-time
updated_at
​timestamp · date-time

List all task lists of an administration

GET
https://moneybird.com/api/v2
/{administration_id}/task_lists{format}

Returns a paginated list of task lists in the administration. Each page contains 30 task lists by default. Use the page parameter to fetch the next page.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

List all task lists of an administration › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

List all task lists of an administration › query Parameters

per_page
​integer | string · min: 1 · max: 100 · pattern: ^\d+$

Amount of task lists per page, default: 30

page
​integer | string

The page to fetch, starting at 1.

List all task lists of an administration › Responses

A list of task lists

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
deadline_on
​string | null · date
period_begin
​string | null · date
period_end
​string | null · date
completed
​boolean
template_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

total_tasks_count
​integer
completed_tasks_count
​integer
created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Creates a new task list

POST
https://moneybird.com/api/v2
/{administration_id}/task_lists{format}

Creates a new task list. Optionally, you can provide a template_id to create the task list from a template.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Creates a new task list › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Creates a new task list › Request Body

​object

Creates a new task list › Responses

Task list created

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
deadline_on
​string | null · date
period_begin
​string | null · date
period_end
​string | null · date
completed
​boolean
template_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

total_tasks_count
​integer
completed_tasks_count
​integer
created_at
​timestamp · date-time
updated_at
​timestamp · date-time